
From: William Lee Irwin III <wli@holomorphy.com>

cache_decay_ticks needs to be defined in order for the kernel to link.  This
placeholder is inaccurate, however, other, more grave SMP issues need to be
addressed first.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/sparc/kernel/smp.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN arch/sparc/kernel/smp.c~sparc32-define-cache_decay_ticks arch/sparc/kernel/smp.c
--- 25/arch/sparc/kernel/smp.c~sparc32-define-cache_decay_ticks	2004-08-04 22:38:23.413682160 -0700
+++ 25-akpm/arch/sparc/kernel/smp.c	2004-08-04 22:38:23.416681704 -0700
@@ -45,6 +45,7 @@ int smp_activated = 0;
 volatile int __cpu_number_map[NR_CPUS];
 volatile int __cpu_logical_map[NR_CPUS];
 cycles_t cacheflush_time = 0; /* XXX */
+unsigned long cache_decay_ticks = 100;
 
 cpumask_t cpu_online_map = CPU_MASK_NONE;
 cpumask_t phys_cpu_present_map = CPU_MASK_NONE;
_
